openshot::DummyReader Class Reference

This class is used as a simple, dummy reader, which always returns a blank frame. More...

`#include <DummyReader.h>`

Inheritance diagram for openshot::DummyReader:

## Public Member Functions

void | Close ()
| Close File. More...
| DummyReader ()
| Blank constructor for DummyReader, with default settings. More...
| DummyReader (Fraction fps, int width, int height, int sample_rate, int channels, float duration)
| Constructor for DummyReader. More...
CacheMemory * | GetCache ()
| Get the cache object used by this reader (always returns NULL for this reader) More...
std::shared_ptr< Frame > | GetFrame (int64_t requested_frame)
bool | IsOpen ()
| Determine if reader is open or closed. More...
string | Json ()
| Get and Set JSON methods. More...
Json::Value | JsonValue ()
| Generate Json::JsonValue for this object. More...
string | Name ()
| Return the type name of the class. More...
void | Open ()
| Open File - which is called by the constructor automatically. More...
void | SetJson (string value)
| Load JSON string into this object. More...
void | SetJsonValue (Json::Value root)
| Load Json::JsonValue into this object. More...
Public Member Functions inherited from openshot::ReaderBase
void | DisplayInfo ()
| Display file information in the standard output stream (stdout) More...
| ReaderBase ()
| Constructor for the base reader, where many things are initialized. More...
void | SetMaxSize (int width, int height)
| Set Max Image Size (used for performance optimization) More...

## Additional Inherited Members

Public Attributes inherited from openshot::ReaderBase
ReaderInfo | info
| Information about the current media file. More...
Protected Attributes inherited from openshot::ReaderBase
CriticalSection | getFrameCriticalSection
| Section lock for multiple threads. More...
int | max_height
| The maximium image height needed by this clip (used for optimizations) More...
int | max_width
| The maximum image width needed by this clip (used for optimizations) More...
CriticalSection | processingCriticalSection

## Detailed Description

This class is used as a simple, dummy reader, which always returns a blank frame.

A dummy reader can be created with any framerate or samplerate. This is useful in unit tests that need to test different framerates or samplerates.

Definition at line 53 of file DummyReader.h.

## Constructor & Destructor Documentation

## DummyReader() [1/2]

DummyReader::DummyReader | ( |  | ) |

Blank constructor for DummyReader, with default settings.

Definition at line 33 of file DummyReader.cpp.

## DummyReader() [2/2]

DummyReader::DummyReader | ( | Fraction | fps,
|  | int | width,
|  | int | height,
|  | int | sample_rate,
|  | int | channels,
|  | float | duration
| ) |  |

Constructor for DummyReader.

Definition at line 40 of file DummyReader.cpp.

## Member Function Documentation

## Close()

void DummyReader::Close | ( |  | ) |

virtual

Close File.

Implements openshot::ReaderBase.

Definition at line 89 of file DummyReader.cpp.

## GetCache()

CacheMemory* openshot::DummyReader::GetCache | ( |  | ) |

inline virtual

Get the cache object used by this reader (always returns NULL for this reader)

Implements openshot::ReaderBase.

Definition at line 71 of file DummyReader.h.

## GetFrame()

std::shared_ptr< Frame > DummyReader::GetFrame | ( | int64_t | requested_frame | ) |

virtual

Get an openshot::Frame object for a specific frame number of this reader. All numbers return the same Frame, since they all share the same image data.

Returns
  The requested frame (containing the image)

Parameters

  requested_frame | The frame number that is requested.

Implements openshot::ReaderBase.

Definition at line 100 of file DummyReader.cpp.

## IsOpen()

bool openshot::DummyReader::IsOpen | ( |  | ) |

inline virtual

Determine if reader is open or closed.

Implements openshot::ReaderBase.

Definition at line 81 of file DummyReader.h.

## Json()

string DummyReader::Json | ( |  | ) |

virtual

Get and Set JSON methods.

Generate JSON string of this object

Implements openshot::ReaderBase.

Definition at line 121 of file DummyReader.cpp.

## JsonValue()

Json::Value DummyReader::JsonValue | ( |  | ) |

virtual

Generate Json::JsonValue for this object.

Implements openshot::ReaderBase.

Definition at line 128 of file DummyReader.cpp.

## Name()

string openshot::DummyReader::Name | ( |  | ) |

inline virtual

Return the type name of the class.

Implements openshot::ReaderBase.

Definition at line 84 of file DummyReader.h.

## Open()

void DummyReader::Open | ( |  | ) |

virtual

Open File - which is called by the constructor automatically.

Implements openshot::ReaderBase.

Definition at line 75 of file DummyReader.cpp.

## SetJson()

void DummyReader::SetJson | ( | string | value | ) |

virtual

Load JSON string into this object.

Implements openshot::ReaderBase.

Definition at line 139 of file DummyReader.cpp.

## SetJsonValue()

void DummyReader::SetJsonValue | ( | Json::Value | root | ) |

virtual

Load Json::JsonValue into this object.

Implements openshot::ReaderBase.

Definition at line 162 of file DummyReader.cpp.

The documentation for this class was generated from the following files:

- DummyReader.h
- DummyReader.cpp